﻿using UnityEngine;
using System.Collections;

public class InfoBox : MonoBehaviour
{
	public bool bShowInfo = false;

	public ItemInfo item = null;

	public Inventory inventory = null;

	void OnGUI()
	{
		if (bShowInfo)
		{
			GUIStyle textStyle = GameManager.MorningSkin.GetStyle("PanelText");
			int fontSize = 0;

			// Scale the font based on screen extents.
			{
				fontSize = (int)(((float)Screen.height * 0.2f) / 10f);
				textStyle.fontSize = fontSize;
			}

			// Draw the box and set the text!
			{
				Vector3 origin = Camera.main.ViewportToScreenPoint(new Vector3(0.1f, 0.6f));
				Vector3 extent = Camera.main.ViewportToScreenPoint(new Vector3(0.4f, 0.3f));

				GUI.color = new Color(1f, 1f, 1f, 0.85f);
				GUILayout.BeginArea(new Rect(origin.x, origin.y, extent.x, extent.y), GameManager.MorningSkin.GetStyle("PanelBG"));
				{
					GUI.color = Color.white;
					GUILayout.Label("<b><i>" + item.title + "</i></b>", textStyle);
					GUILayout.TextArea(item.flavor, textStyle);

					if (item.IsInventoryItem())
					{
						GUILayout.BeginVertical();
						{
							GUILayout.FlexibleSpace();
							GUILayout.BeginHorizontal();
							{
								GUILayout.FlexibleSpace();

								GUIStyle optStyle = GameManager.MorningSkin.GetStyle("CellphoneOptionFlexible");
								optStyle.fontSize = fontSize;

								if(GUILayout.Button("Reclaim", optStyle))
								{
									PlayerController player = GameObject.Find("Player").GetComponent<PlayerController>();
									player.ClearInfo();

									inventory.AddItem(item);
									bShowInfo = false;
									item = null;
								}
							}
							GUILayout.EndHorizontal();
						}
						GUILayout.EndVertical();
					}
				}
				GUILayout.EndArea();
			}
		}
	}
}
